### Hierarchy

- JenkinsUser

### Implements

- IJenkinsUser

## Index

### Constructors

- constructor

### Properties

- _class
- absoluteUrl
- description
- fullName
- id
- jsonData
- property

### Methods

- fromJson
- fromJsonString
- getJsonData

## Constructors

### constructor

- new JenkinsUser(): JenkinsUser

- - Defined in JenkinsUser.ts:14

  #### Returns JenkinsUser

## Properties

### _class

_class: string

Implementation of IJenkinsUser._class

- Defined in JenkinsUser.ts:8

### absoluteUrl

absoluteUrl: string

Implementation of IJenkinsUser.absoluteUrl

- Defined in JenkinsUser.ts:10

### description

description: string

Implementation of IJenkinsUser.description

- Defined in JenkinsUser.ts:12

### fullName

fullName: string

Implementation of IJenkinsUser.fullName

- Defined in JenkinsUser.ts:9

### id

id: string

Implementation of IJenkinsUser.id

- Defined in JenkinsUser.ts:13

### jsonData

jsonData: JSON

- Defined in JenkinsUser.ts:6

### property

property: Array<any>

Implementation of IJenkinsUser.property

- Defined in JenkinsUser.ts:14

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsUser.fromJson

  - Defined in JenkinsUser.ts:31

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsUser.fromJsonString

  - Defined in JenkinsUser.ts:24

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsUser.getJsonData

  - Defined in JenkinsUser.ts:20

  #### Returns string

Generated using TypeDoc